Skip to content

Charge-off loan

Request

The charge-off endpoint will change the status of a loan to chargedOff, and trigger any charge-off-related logic and accounting treatment.

A loan must be in accelerated status before being moved to chargedOff. If an active loan is being charged off, this endpoint will handle moving the loan status to acceleration before charging off. Charge-off is only valid for installment and line of credit loans.

Security
oauth2(Required scopes: loan:chargeoff) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Bodyapplication/jsonrequired
chargedOffReasonstringrequired

The reason for loan charge off:

term means the loan was charged off per loan type configuration after X days overdue.

fraudulent means the loan was charged off for fraudulent reason. If the loan is reported to one or more credit bureaus, the system will automatically send a special request to each bureau to delete the tradeline due to confirmed fraud. This is the only reason that the system will automatically trigger a request to delete the tradeline. For other reasons, if you need to delete the tradeline please call the Delete from credit reporting endpoint or use an agent tool.

bankruptcy means the loan was charged off because of bankruptcy.

legal means the loan was charged off because of some legal reason.

Enum:"term""fraudulent""bankruptcy""legal"
effectiveDatestring, (date)required

The effective date of the loan charge-off. The date should be the current date in the product timezone. Passing in "today" will also set the field to today's date.

sendNoticeboolean

Only applicable to chargedOffReason=term. If chargedOffReason is one of the following reasons [fraudulent, bankruptcy, legal], the system will ignore the sendNotice value and will NOT send the loanChargedOffUnsecured notice.

If chargedOffReason=term and the passed value is false, the system will NOT send the loanChargedOffUnsecured notice to the borrower.

Default:true
caseIdstring

An identifier for an existing case.

POST
/people/{personId}/loans/{loanId}/charge-off
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/charge-off' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "chargedOffReason": "term",
    "effectiveDate": "2019-08-24",
    "sendNotice": true,
    "caseId": "string"
  }'

Responses

Loan Charge Off

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(LoanChargeOffResponse)
Response
{ "message": "string", "status": 0, "data": { "chargeOffAmount": 0.1 } }